{
  "accUserMode" : 2,
  "caption" : "日历视图_时间轴",
  "codeName" : "booktimeline_CalendarView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/booktimeline_CalendarView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "booktimeline_CalendarView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA@calendarbookitem",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "calendarStyle" : "TIMELINE",
    "codeName" : "Timeline_CalendarView_Calendar",
    "controlStyle" : "LIGHT_CALENDAR",
    "controlType" : "CALENDAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSCALENDARS/Timeline_CalendarView_Calendar.json",
    "groupMode" : "NONE",
    "legendPos" : "TOP",
    "logicName" : "日历视图_时间轴_日历部件",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "calendarbookitem_editdata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "编辑数据",
        "getOpenDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "calendarbookitem_opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "getOpenDataPSAppView" : {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : false
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAR"
    },
    "getPSSysCalendarItems" : [ {
      "getBeginTimePSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getEndTimePSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getIdPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "calendarbookitem",
      "maxSize" : -1,
      "name" : "图书",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getTextPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "enableQuickCreate" : false,
      "id" : "calendarbookitem"
    }, {
      "getBeginTimePSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getEndTimePSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getIdPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "calendarstudentitem",
      "maxSize" : -1,
      "name" : "学生",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getTextPSAppDEField" : {
        "name" : "STUDENTNAME",
        "codeName" : "StudentName"
      },
      "enableQuickCreate" : false,
      "id" : "calendarstudentitem"
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "CUSTOM",
      "pluginCode" : "LIGHT_CALENDAR",
      "runtimeObject" : true
    },
    "enableGroup" : false,
    "name" : "calendar",
    "modelid" : "CBCB0EF8-7840-42CD-A7F5-ED7182AC1BAF",
    "modeltype" : "PSSYSCALENDAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "日历视图_时间轴",
    "codeName" : "timeline_CalendarViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "timeline_CalendarView",
  "getPSDEViewId" : "7AF6267D-461F-46E8-A1DA-17062712125F",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECALENDARVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "日历视图_时间轴",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDARVIEW",
  "xDataControlName" : "calendar",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "modelid" : "59dc8ed19bbb84fb91b7885df94fed1c",
  "modeltype" : "PSAPPDEVIEW"
}